Uploaded image for project: 'Seam 2'
  1. Seam 2
  2. JBSEAM-4722

Add JSF2, bean validation and EJB 3.1 support

    Details

      Description

      I think seam team should consider building seam 2.5 version so we can upgrade our old project to jsf2.0,ejb3.1,hibernate 3.6,beanvalidation,glassfish3 or jboss6 and get rid of hibernate3.2 validation and richfaces3 dependcy.
      I have upgraded my old project a few months ago from seam2.2 to use jsf2.1,hibernate 3.6,beanvalidation,granite-seam21,spring3.05 under tomcat 7.0.5-dev and used in the production environment.I test it on glassfish v3.1 and jboss6 but not test ejb.
      If considered i can provide my patch to seam team as a reference or push full source code to github with your team permission.

      Please consider.

      heyoulin

        Gliffy Diagrams

          Attachments

            Issue Links

              Activity

                People

                • Assignee:
                  manaRH Marek Novotny
                  Reporter:
                  heyoulin he youlin
                • Votes:
                  18 Vote for this issue
                  Watchers:
                  14 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved:

                    Time Tracking

                    Estimated:
                    Original Estimate - 6 hours
                    6h
                    Remaining:
                    Remaining Estimate - 6 hours
                    6h
                    Logged:
                    Time Spent - Not Specified
                    Not Specified